Palview4 Manual * The Palview Pages * The Palview Developers Forum * Home * Palamede

## The Palview INI File Once you have a game, or a collection of games, in a PGN file, you can get Palview to generate an Html-JavaScript page for you. But just what kind of page would you like? The page that you will ultimately get is determined by the options you select. These options are set through the use of a file with the extension, INI. This is a simple text file that contains a number of lines that set the various options that are available with Palview. For now, just accept that you can edit this INI file to change the settings. It is very easy, really. You can create as many INI files for working with Palview as you need. The best way to create an INI file is to simply make a copy of an existing Palview INI file, rename it, and then edit the options in the new file using a simple text editor program, like Notepad. One idea is to create a separate INI file for each type of Html-JavaScript file you intend to create using Palview. For example, if your website has a 'Game of the Day' page, you might consider creating a special INI file just for that page. You could call it gameday.INI. If you wanted to use a completely different set of options for your site's front page, you might create a special INI called frontpg.INI. For the games of your chess club's website, you might use cclub.INI. Once you have created an INI file, all you need to do is pass this INI file to Palview along with your PGN file that contains the game(s) you want to use. For more information on passing files to Palview, please read the section Introduction to Palview. Here is a shortened example of what a Palview INI file would look like:
    [Palview]

    % I like to use the normal page for short games
    htmltype=normal
    pcsize=29
    stylesheet="p4style.css"
    usekeystrokes=on
    crosstags = elo, title, country
Your Palview INI file should begin with the single line:
    [Palview]
This is used by other software to locate the section in the INI file where the actual options begin. After this, you can begin to list your options and the values you wish to assign to them. You will notice that the first actual line after [Palview] begins with a percent character. Any line in a Palview INI file that begins with a % is considered a comment and this line will be skipped by the program when reading the INI file. Comments can appear on any line in the INI file and can be helpful as reminders about why you choose a certain option, or what other values the option could have been given. As you can already see from above, a Palview INI command consists of a single line that starts with the name of a command, followed by an equal sign, followed by the value(s) to be assigned to the command. These values can be tokens, numbers, strings, and sometimes a set of tokens. A token is just a single identifier, or name, without quotations, as in the above htmltype command where 'normal' is the token. Tokens can also appear in sets, where a number of the tokens can be chosen at the same time. In the above crosstags command, the set of tokens, elo, title, country are all being selected. In the above pcsize command the value is a number, 29. The stylesheet command uses a string value, namely "p4style.css". You will also find that a great many of the Palview commands are simple on and off options as the above usekeystrokes command shows. Below is an index of all the Palview INI commands. You can click on the name of the command, in bold, and you will be taken to the actual command notes. After the command name you will see a list of the various values that each command accepts. For example: crossnamepattern = full | last | short | firstlast | initlast ; default: full In the above example, all the values are separated by the colon character. This tells you that you can select only one of the values after the = sign. At the end of the index entry you are shown the default value that Palview will assign to the command if none is given. The INI commands below that appear in green are new options for Palview4. All other options, in black, are options that have appeared in previous versions of Palview.

## INI Options Index
activemag = on | off ; default: off
autotime = 500 .. 10000 ; default: 1500 (1.5 sec)
boardimage = "imagefilename" ; default: (generated by program - brdimgXX.jpg)
boardvalign = center | top | bottom; default: center
bordercolor = "colordef" ; default: "green" (ns4comp only)
con5backtip = "tooltip text" ; default: none
con5forwardtip = "tooltip text" ; default: none
conautotip = "tooltip text" ; default: none
conbacktip = "tooltip text" ; default: none
conendtip = "tooltip text" ; default: none
confliptip = "tooltip text" ; default: none
conforwardtip = "tooltip text" ; default: none
conpanurl = "url" ; default: none
constarttip = "tooltip text" ; default: none
consteptip = "tooltip text" ; default: none
crosscharacters = "text" ; default: ="10½x" (alt. "10=*")
crosslink = on | off ; default: on
crossnamepattern = full | last | short | firstlast | initlast ; default: full
crosstablecss = "filename" ; default: none
crosstags = none | {title, elo, country} ; default: none
dbnamepattern = full | last | short | firstlast | initlast ; default: full
dbtags = none | {eco, result} ; default: none (just White - Black)
diagnotext = "diagram number text" ; default: none
diagramno = 0..10000 ; default: 0
displaymode = 0 .. 3 ; default: 0
ecofilename = "filename" ; default: none
fenimg = "imagefilename" ; default: imgurl + "fenimg.gif"
figurines = on | off ; default: off
flags = on | off ; default: on
flagurl = "url" ; default: none (note: so relative to HTM page)
footerfile = "filename" ; default: none
gameinfomode = 0 .. 1 ; default: 0 (produces short game intro)
gamelinkinfo = none | { result, round, moves, event, site, date, title, elo, all } ; default: none
headerfile = "filename" ; default: none
helpimg = "imageurl" ; default: none
helptooltip = "tooltip text" ; default: none
helpurl = "filename" ; default: none
hilightcolor = "colordef" ; default: "#FFE4B5" (or "moccasin")
htmltype = normal | frames | iframe | static | database | muliframe | batch | overview | overdb | problem | tactics | magazine | magviewer ; default: normal
iframecss = "filename" ; default: none
iframewidth = 200 .. 1000 ; default: 300
imgurl = "url" ; default: "jpc" (note: relative to HTM page)
introcom = on | off ; default: on
indexnamepattern = full | last | short | firstlast | initlast ; default: last
jsfile = on | off ; default: off (off places script in HTM file)
linebreaks = on | off ; default: off
magazinecss = "filename.css" ; default:"p4mag.css"
magdiagramsize = 19 .. 35; default: 29
mailtoaddress = "emailaddress" ; default: none
mailtoimg = "email-imagefilename" ; default: none
mailtotext = "text" ; default: none
maxswissplayers = 0 .. 100; default: 0 (all)
movelinks = on | off ; default: off
moverecordercolor = "colordef" ; default: "blue"
movingpcs = on | off ; default: off
multilang = on | off | extended ; default: off
namepattern = full | last | short | firstlast | initlast ; default: full
ns4comp = on | off ; default: off
ns4redirect = "url" ; default: none
overviewcols = 1 .. 8 ; default: 3
padding = 0 .. 400 ; default: 20
pcletters = "letters" ; default: "PNBRQK"
pcsize = 19 | 24 | 29 | 35 ; default: 29
pgnheader = on | off ; default: on
pgnlink = 0 .. 2 ; default: 0
pgnurl = "url" ; default: none
player = "name:title:elo:country[:PerfElo]" default: none
refreshtime = 0 .. 3600 sec; default: 0 (i.e. 0 disables refresh code)
scriptloc = head | body ; default: head
scrollintoview = on | off ; default: off
ssi = on | off ; default: off;
stylesheet = "filename" ; default: none
symbolmethod = gif | text ; default: text
symtips = on | off ; default: off
symurl = "url" ; default: "jpc"
tablewidth = 0 | 75 .. 100 ; default: 0 (75 .. 100 is a percentage)
titletext = "text" ; default: none
titletype = none | players | event | both | text ; default: both (player - player Event)
tooltipboard = on | off ; default: off
tooltipcross = on | off ; default: off
tooltipindex = on | off ; default: off
tooltipopening = on | off ; default: off
usekeystrokes = on | off ; default: off
variationcolor = "colordef" ; default: "green"
viewerheight = 0 .. 1024 ; default: calculated by program
viewername = "filename.htm" ; default: "gameview.htm"
viewerwidth = 0 .. 1024 ; default: calculated by program
writemaggames = on | off ; default: on
writemaglinks = on | off ; default: on

## Options Modified from Palview3
player = "name:title:elo:country[:PerfElo]" default: none The only INI option that has changed for Palview4 is the player. In Palview4, this option is only used for the batch page and for Live Game Brodcasts. In all other page types, when not a live game, Palview4 will ignore the player option. In this case, the information that you want to supply about any player in a PGN game must be supplied in the game's PGN Tags. This change was necessary because of the new magazine page. In that page, it is sometimes possible for the same player to have different tag values at different times. For example, Boris Spassky's country may be the USSR at one point, then France at another. A player's elo will certainly change from any given year to the next as well. And of course every player is born without a title, but some eventually rise to become a grandmaster, so you can't expect a single title value supplied by the player INI option to suffice for a player's entire career. Fortunately, most good chess software, ChessBase 8.0 for example, will usually supply all this information in a PGN game provided that it is available within the database itself. And Eric Bentzen's excellent PalMate program easily allows you to enter this information yourself if it is not available in the PGN file you are working with.